Bug 1122452 - Unable to mount Netapp NFS share when rpc.gssd is running
Summary: Unable to mount Netapp NFS share when rpc.gssd is running
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: nfs-utils
Version: 7.0
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Steve Dickson
QA Contact: Filesystem QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-23 09:59 UTC by Ondrej
Modified: 2015-01-06 15:45 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-06 15:45:40 UTC


Attachments (Terms of Use)

Description Ondrej 2014-07-23 09:59:18 UTC
Description of problem:
I am unable to mount a NFS share on Netall NAS filer when rpc.gssd process is running.

Version-Release number of selected component (if applicable):
any

How reproducible:
always

Steps to Reproduce:
1. Configure Netapp NFS share, enable system authentication only
2. Configure rpc.gssd for Kerberos authentication (used AD KDC in my case)
3. systemctl start nfs-secure
4. try to mount the share

Actual results:
mount will fail

Expected results:
Kerberos security mount will fail, then fallback to the system security

Workaround:
disable nfs-secure service or add "-o sec=sys" mount parameter to explicitely force system authentication

Comment 2 Steve Dickson 2015-01-03 15:42:00 UTC
Gould it be possible to get a network trace of this failure?
Something similar to:
    tshark -w /tmp/date.pcap host <Netapp_server>
    bzip2 /tmp/data.pcap

Comment 3 Ondrej 2015-01-06 14:45:29 UTC
With the latest updates, I am no longer able to replicate the issue

Comment 4 Ondrej 2015-01-06 14:48:19 UTC
I think we can close this case


Note You need to log in before you can comment on or make changes to this bug.